List

Lists mirrored OnTime360 orders for the caller’s organization with filtering, sorting, pagination, and optional search. | () -> (OnTime360OrderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstringOptional
Search OnTime360 order IDs.
filter_provider_org_idstringOptional

Filter by provider org ID(s)

filter_integration_order_idstringOptional
Filter by OnTime360's exact order GUID
filter_provider_status_levelintegerOptional
Filter by OnTime360's raw status level
filter_mirrored_at_timestamp_gtedatetimeOptional

Filter mirrored_at_timestamp >= value

filter_mirrored_at_timestamp_ltedatetimeOptional

Filter mirrored_at_timestamp <= value

filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value

filter_updated_at_timestamp_gtedatetimeOptional

Filter updated_at_timestamp >= value

filter_updated_at_timestamp_ltedatetimeOptional

Filter updated_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders List V1request Unprocessable Entity Error